Bug 55226 - estonian keymap does not load
Summary: estonian keymap does not load
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: console-tools   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-27 18:43 UTC by david
Modified: 2007-04-18 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 20:38:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description david 2001-10-27 18:43:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
keymap et or keymap et-nodeadkeys does not load. loadkeys et at bash 
prompt does gives following error...

Loading /lib/kbd/keymaps/i386/qwerty/et.kmap.gz
unknown keysym `currency'
/lib/kbd/keymaps/i386/qwerty/et.kmap.gz:5: parse error
syntax error in map file
key bindings not changed



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Just choose et in kbdconfig and try to load it 
with /etc/rc.d/init.d/keymap start or simply loadkeys et

Additional info:

Comment 1 Ivo Sarak 2001-12-30 18:40:54 UTC
It has never loaded correctly on whatever RedHat Linux version.
Use 'fi' keyboard settings instead and forget 'u'.


Comment 2 Fred New 2002-04-19 14:19:38 UTC
WORKAROUND: I have been using Ville Hallik's "ee-dump.kmap" for quite a while.  
It has all the Estonian characters that I ever use, except caron-s and caron-z, 
and these two exceptions may be a problem with the console font.  (You can even 
get ^ using <Alt Gr>+D.)

How to download and use this file:

1.  Download http://linux.ee/~ville/ee-keymaps/ee-keymaps-1.2.tar.gz.
2.  tar xvzf ee-keymaps-1.2.tar.gz
3.  gzip -9 ee-keymaps-1.2/linux-console/ee-dump.kmap
4.  (as SuperUser)
cp ee-keymaps-1.2/linux-console/ee-dump.kmap.gz /lib/kbd/keymaps/i386/qwerty
5.  setup -> Keyboard configuration
      select ee-dump

Additional information in Estonian is available at
    http://linux.ee/~ville/ee-keymaps/index.html

Comment 3 Fred New 2002-04-23 09:14:54 UTC
I see that Bugzilla doesn't accept non-ascii characters.  My comment about 
being able to type ^ got transformed - the "D" should be a-umlaut:
you can get ^ by using <Alt Gr>+<a-umlaut>.

Comment 4 Fred New 2002-04-24 11:13:46 UTC
Better workaround:

I found that loadkeys is choking on the string "currency" in the euro include
file, /lib/kbd/keymaps/i386/include/euro.inc.gz

If you gunzip this file, edit it to change "currency" to "0xa4" and gzip it, you
should be able to loadkeys et.kmap.  That is, setup -> Keyboard configuration
and select "et".  (If you want to use the cent character, you can also uncomment
the cent line in euro.inc.)

In order to view the s-caron (sh), z-caron (zh) and euro characters, on
character consoles, you should edit /etc/sysconfig/i18n and change SYSFONTACM to
iso15.  I noticed that this is configured correctly as a result of selecting an
Estonian keyboard (or adding Estonian language) during Skipjack beta-2 installation.

I'm still working on how to view these characters from the Gnome desktop, but
this is no longer a console-tools problem.

Comment 5 Eido Inoue 2004-08-23 20:38:35 UTC
estonian is currently not supported on utf-8 console on current distros.


Note You need to log in before you can comment on or make changes to this bug.